
clear all
close all
%%%

figure
load('lena1');
img=double(lena1);
[rr cc]=size(img); %number of rows and columns of the  image

%LUT computation
R=64;%number of rings (of the mapping)
r0=5;%blind spot radius

[Rsr,Csr,Wsr,Rsri,Csri,THyx,CSIyx]=LPM_LUT(rr,cc,R,r0); %LUT computation

[W_ker,ind]=RF_sv(Wsr,R); % space-variant receptive fields computation

subplot(221),imagesc(img),colormap gray,axis square,title('img')

cort=im2cort_LUT(Rsr,Csr,W_ker,ind,img); %mapping from cartesian to cortical space

subplot(222),imagesc(cort),colormap gray,axis square,title('cort')

[ret,retI]=cort2ret_LUT(Rsr,Csr,cort,rr,cc,THyx,CSIyx);%inverse mapping from cortical space to retinal


subplot(224),imagesc(ret),colormap gray,axis square,title('ret')
subplot(223),imagesc(retI),colormap gray,axis square,title('interpolated ret')
%%%


